cURL
curl --request POST \ --url https://gomodel.example.com/v1/responses \ --header 'Authorization: <api-key>' \ --header 'Content-Type: application/json' \ --data ' { "input": "<string>", "instructions": "<string>", "max_output_tokens": 123, "metadata": {}, "model": "<string>", "parallel_tool_calls": true, "provider": "<string>", "reasoning": { "effort": "<string>" }, "stream": true, "stream_options": { "include_usage": true }, "temperature": 123, "tool_choice": "<unknown>", "tools": [ {} ] } '
{ "created_at": 123, "error": { "code": "<string>", "message": "<string>" }, "id": "<string>", "model": "<string>", "object": "<string>", "output": [ { "arguments": "<string>", "call_id": "<string>", "content": [ { "annotations": [ {} ], "image_url": { "detail": "<string>", "media_type": "<string>", "url": "<string>" }, "input_audio": { "data": "<string>", "format": "<string>" }, "text": "<string>", "type": "<string>" } ], "id": "<string>", "name": "<string>", "role": "<string>", "status": "<string>", "type": "<string>" } ], "provider": "<string>", "status": "<string>", "usage": { "completion_tokens_details": { "accepted_prediction_tokens": 123, "audio_tokens": 123, "reasoning_tokens": 123, "rejected_prediction_tokens": 123 }, "input_tokens": 123, "output_tokens": 123, "prompt_tokens_details": { "audio_tokens": 123, "cached_tokens": 123, "image_tokens": 123, "text_tokens": 123 }, "raw_usage": {}, "total_tokens": 123 } }
Responses API request
string or []ResponsesInputElement — see docs for array form
Show child attributes
Gateway routing hint; stripped before upstream execution.
string or object
JSON response or SSE stream when stream=true
"response"
"completed", "failed", "in_progress"
Was this page helpful?